<template>
	<view id="security-setting">
		<nav-bar :is-back="true" title="安全设置"></nav-bar>
		<view class="list-box">
			<view class="item-box" @click="goUrl('./reset-password')">
				<text>修改密码</text>
				<u-icon name="arrow-right" color="#A8A8A8" size="25" style="font-weight: bold;"></u-icon>
			</view>
			<view class="item-box" style="padding-right: 49rpx;">
				<text>版本信息</text>
				<text>V{{version}}</text>
			</view>
			<view class="item-box btn" @click="quit()">
				退出
			</view>
		</view>
	</view>
</template>

<script>
	import NavBar from '@/common/components/navbar/NavBar.vue'
	export default {
		data() {
			return {
				version:'1.0.0'
			}
		},
		components: {
			NavBar
		},
		onLoad() {
			// #ifdef  APP-PLUS
			plus.runtime.getProperty(plus.runtime.appid,(wgtinfo)=>{
				// console.log(JSON.stringify(wgtinfo));
				// console.log(wgtinfo.version);//应用版本号
				this.version = wgtinfo.version;
			})
			// #endif
			// #ifdef MP-WEIXIN
			const accountInfo = wx.getAccountInfoSync();
			if(accountInfo.miniProgram.envVersion=='release'){
				this.version = accountInfo.miniProgram.version;
			}
			console.log(accountInfo.miniProgram.version) // 插件版本号， 'a.b.c' 这样的形式
			// #endif
		},
		onShow() {

		},
		methods: {
			// 点击退出
			quit(){
				uni.reLaunch({
					url: '../index/login'
				})
			},
			goUrl(url){
				console.log(url)
				uni.navigateTo({
					url:url
				})
			}
		}
	}
</script>

<style scoped lang="less">
	#security-setting{
		background: #ebeef5;
		height: 100%;
		.list-box{
			padding: 20rpx 24rpx 0;
			.item-box{
				// width: 703px;
				height: 75rpx;
				background: #FFFFFF;
				border-radius: 10rpx;
				display: flex;
				justify-content: space-between;
				align-items: center;
				padding: 0 46rpx 0 40rpx;
				font-size: 28rpx;
				color: #666666;
				margin-bottom: 20rpx;
				&.btn{
					justify-content: center;
					color: #222222;
				}
			}
		}
	}
</style>
